# std::back_insert_iterator<Container>::operator=

From cppreference.com
< cpp‎ | iterator‎ | back insert iterator

| (1) |
back_insert_iterator<Container>& operator=( typename Container::const_reference value ); |  | (until C++11)
back_insert_iterator<Container>& operator=( const typename Container::value_type& value ); |  | (since C++11) (until C++20)
constexpr back_insert_iterator<Container>& operator=( const typename Container::value_type& value ); |  | (since C++20)
| (2) |
back_insert_iterator<Container>& operator=( typename Container::value_type&& value ); |  | (since C++11) (until C++20)
constexpr back_insert_iterator<Container>& operator=( typename Container::value_type&& value ); |  | (since C++20)

Inserts the given value `value` to the container.

1) Results in container->push_back(value)
2) Results in container->push_back(std::move(value))

### Parameters

value | - | the value to insert

### Return value

*this

### Example

Run this code

    #include <iostream>
    #include <iterator>
    #include <deque>

    int main()
    {
        std::deque<int> q;
        std::back_insert_iterator< std::deque<int> > it(q);

        for (int i=0; i<10; ++i)
            it = i; // calls q.push_back(i)

        for (auto& elem : q) std::cout << elem << ' ';
    }

Output:

    0 1 2 3 4 5 6 7 8 9

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/back_insert_iterator/operator%3D&oldid=101919"